Prolifto
API reference

Variants

Product variants

Get Many

GET
/{organizationSlug}/variants

Path Parameters

organizationSlug*string
Length1 <= length

Query Parameters

productId?string

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/variants"
{}

Update

POST
/variants/update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/variants/update" \  -H "Content-Type: application/json" \  -d '{    "variantId": "string"  }'
{}

Update Many

POST
/variants/updateMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/variants/updateMany" \  -H "Content-Type: application/json" \  -d '{    "variantIds": [      "string"    ]  }'
{}